/*
* Copyright 2007, 2008 Ernesto Coutinho Colla
*
* "BN Parallel Package"  um nome que identifica o conjunto de programas 
* que forma uma biblioteca de rotinas que foram desenvolvidas como parte da 
* dissertao de mestrado do autor em Cincias da Computao.
*
* O conjunto de programas foi integralmente desenvolvido pelo autor e est
* disponvel sob a licena GPL (GNU General Public License). O entendimento
* integral dos termos da licena GPL  condio necessria para a utilizao
* parcial ou integral de qualquer parte deste conjunto de programas.
*
* This file is part of BN Parallel Package.
* 
* BN Parallel Package is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License.
*
* BN Parallel Package is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with BN Parallel Package. If not, see <http://www.gnu.org/licenses/>.
*/


/*!
 * @file	graph_messages.h
 * @author	Ernesto Colla (ernesto@gmail.com)
 * @version	0.0.1
 * @date	Fevereiro/2007
 * @brief 	Mensagens relacionadas  biblioteca de grafos (graph.h)
 */

/* DEFINES */

#define ERR_LINK_IN_DIRECTED_GRAPH 0 	//!< Erro ao adicionar um link em um grafo direcionado
#define ERR_ARC_IN_NOT_DIRECTED_GRAPH 1	//!< Erro ao adicionar um arco direcionado em um grafo no direcionado
#define ERR_GRAPH_TYPE_UNKNOW 2			//!< Tipo desconhecido de grafo
#define ERR_UNKNOW_SORT_FIELD 3			//!< Campo para ordenao desconhecido
#define ERR_UNKNOW_SORT_DIRECTION 4		//!< Direo para ordenao desconhecido


/*! @brief vetor de mensagens de erro */
char* GRAPH_ERRORS[] = {
					"ERROR: Links (not directed) can't be add in directed graphs",
					"ERROR: Arcs (directed) can't be add in NOT directed graphs",
					"ERROR: Graph type: '%s' unknow. Use'arcs' for DIRECTED graphs and 'links' for NOT_DIRECTED graphs",
					"ERROR: Unknow sort field. Use: LINK_DEGREE, IN_DEGREE, OUT_DEGREE",
					"ERROR: Unknow sort direction. Use: ASCENDANT, DESCENDANT"
				};
